package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.datastructure.Storey;
import de.hft.stuttgart.citydoctor2.gui.CheckStatus;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class StoreyNode extends Renderable{

    private final Storey storey;

    public StoreyNode(Storey storey) {
        this.storey = storey;
    }

    @Override
    public String getText() {
        return storey.getGmlId().getGmlString();
    }


    @Override
    public void visit(Renderer renderer) {
        renderer.render(storey);
    }

    @Override
    public void refreshTextColor() {
        if (!storey.isValidated()) {
            setStatus(CheckStatus.NOT_CHECKED);
        } else if (storey.containsAnyError()) {
            setStatus(CheckStatus.ERROR);
        } else {
            setStatus(CheckStatus.OK);
        }
    }

}
